package com.casic.dcms.model.dept;

import java.util.List;

public class HandledCaseModel {

    private int code;
    private DataModel data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataModel getData() {
        return data;
    }

    public void setData(DataModel data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataModel {
        private List<RowsModel> rows;
        private int total;

        public List<RowsModel> getRows() {
            return rows;
        }

        public void setRows(List<RowsModel> rows) {
            this.rows = rows;
        }

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public static class RowsModel {
            private int isPostpone;
            private int preState;
            private String description;
            private int source;
            private String eorcName;
            private String casetypeDetailName;
            private String remainingTime;
            private String casetypeName;
            private String processId;
            private int caseState;
            private String id;
            private String shopId;
            private String fieldintro;
            private String lat;
            private String caseStateName;
            private String preOperator;
            private String lng;
            private String isOvertime;
            private String currRoleName;
            private String fileIdVerify;
            private String casetypeDetailCode;
            private String onedeptid;
            private String eorc;
            private String currRoleId;
            private String caseid;
            private String casetypeCode;
            private String nodeLimittime;
            private String sourceName;
            private String reportTime;
            private String onedeptName;

            public int getIsPostpone() {
                return isPostpone;
            }

            public void setIsPostpone(int isPostpone) {
                this.isPostpone = isPostpone;
            }

            public int getPreState() {
                return preState;
            }

            public void setPreState(int preState) {
                this.preState = preState;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public int getSource() {
                return source;
            }

            public void setSource(int source) {
                this.source = source;
            }

            public String getEorcName() {
                return eorcName;
            }

            public void setEorcName(String eorcName) {
                this.eorcName = eorcName;
            }

            public String getCasetypeDetailName() {
                return casetypeDetailName;
            }

            public void setCasetypeDetailName(String casetypeDetailName) {
                this.casetypeDetailName = casetypeDetailName;
            }

            public String getRemainingTime() {
                return remainingTime;
            }

            public void setRemainingTime(String remainingTime) {
                this.remainingTime = remainingTime;
            }

            public String getCasetypeName() {
                return casetypeName;
            }

            public void setCasetypeName(String casetypeName) {
                this.casetypeName = casetypeName;
            }

            public String getProcessId() {
                return processId;
            }

            public void setProcessId(String processId) {
                this.processId = processId;
            }

            public int getCaseState() {
                return caseState;
            }

            public void setCaseState(int caseState) {
                this.caseState = caseState;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getShopId() {
                return shopId;
            }

            public void setShopId(String shopId) {
                this.shopId = shopId;
            }

            public String getFieldintro() {
                return fieldintro;
            }

            public void setFieldintro(String fieldintro) {
                this.fieldintro = fieldintro;
            }

            public String getLat() {
                return lat;
            }

            public void setLat(String lat) {
                this.lat = lat;
            }

            public String getCaseStateName() {
                return caseStateName;
            }

            public void setCaseStateName(String caseStateName) {
                this.caseStateName = caseStateName;
            }

            public String getPreOperator() {
                return preOperator;
            }

            public void setPreOperator(String preOperator) {
                this.preOperator = preOperator;
            }

            public String getLng() {
                return lng;
            }

            public void setLng(String lng) {
                this.lng = lng;
            }

            public String getIsOvertime() {
                return isOvertime;
            }

            public void setIsOvertime(String isOvertime) {
                this.isOvertime = isOvertime;
            }

            public String getCurrRoleName() {
                return currRoleName;
            }

            public void setCurrRoleName(String currRoleName) {
                this.currRoleName = currRoleName;
            }

            public String getFileIdVerify() {
                return fileIdVerify;
            }

            public void setFileIdVerify(String fileIdVerify) {
                this.fileIdVerify = fileIdVerify;
            }

            public String getCasetypeDetailCode() {
                return casetypeDetailCode;
            }

            public void setCasetypeDetailCode(String casetypeDetailCode) {
                this.casetypeDetailCode = casetypeDetailCode;
            }

            public String getOnedeptid() {
                return onedeptid;
            }

            public void setOnedeptid(String onedeptid) {
                this.onedeptid = onedeptid;
            }

            public String getEorc() {
                return eorc;
            }

            public void setEorc(String eorc) {
                this.eorc = eorc;
            }

            public String getCurrRoleId() {
                return currRoleId;
            }

            public void setCurrRoleId(String currRoleId) {
                this.currRoleId = currRoleId;
            }

            public String getCaseid() {
                return caseid;
            }

            public void setCaseid(String caseid) {
                this.caseid = caseid;
            }

            public String getCasetypeCode() {
                return casetypeCode;
            }

            public void setCasetypeCode(String casetypeCode) {
                this.casetypeCode = casetypeCode;
            }

            public String getNodeLimittime() {
                return nodeLimittime;
            }

            public void setNodeLimittime(String nodeLimittime) {
                this.nodeLimittime = nodeLimittime;
            }

            public String getSourceName() {
                return sourceName;
            }

            public void setSourceName(String sourceName) {
                this.sourceName = sourceName;
            }

            public String getReportTime() {
                return reportTime;
            }

            public void setReportTime(String reportTime) {
                this.reportTime = reportTime;
            }

            public String getOnedeptName() {
                return onedeptName;
            }

            public void setOnedeptName(String onedeptName) {
                this.onedeptName = onedeptName;
            }
        }
    }
}
